Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Class RepeatingSchedule

    java.lang.Object
      oracle.ias.scheduler.Schedule
          oracle.ias.scheduler.RepeatingSchedule

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Direct Known Subclasses:
  IntervalSchedule, RecurSchedule

public abstract class RepeatingSchedule
extends Schedule

See Also:
  Serialized Form

Field Summary
`protected java.util.Calendar` | `m_endDate`
`protected boolean` | `m_fixedDelay`

Fields inherited from class oracle.ias.scheduler.Schedule
`m_expirationDate`

Constructor Summary
`RepeatingSchedule()`

Method Summary
`java.util.Calendar` | `getEndDate()` Gets the end date of this schedule.
`boolean` | `isFixedDelay()` Gets the designation of this schedule.
`void` | `setEndDate(java.util.Calendar end)` Sets the end date for this schedule.
`void` | `setFixedDelay(boolean fixedDelay)` Designate the schedule as "fixed-delay".

Methods inherited from class oracle.ias.scheduler.Schedule
`equals, expected, getExpiration, getVersion, hashCode, isRepeating, next, readExternal, setExpiration, setExpiration, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### m_endDate

    protected java.util.Calendar m_endDate

### m_fixedDelay

    protected boolean m_fixedDelay

Constructor Detail

### RepeatingSchedule

    public RepeatingSchedule()

Method Detail

### setEndDate

    public void setEndDate(java.util.Calendar end)

  Sets the end date for this schedule. The end date is consulted after every expiration and becomes effective when the date specified occurs before the next interval. Once active the associated schedule is no longer capable of generating timeouts.

  Parameters:
    `end` - date on which schedule ends.

### getEndDate

    public java.util.Calendar getEndDate()

  Gets the end date of this schedule.

  Overrides:
    `getEndDate` in class `Schedule`
  Returns:
    date on which schedule ends or, if not repeating, the initial expiration date of the schedule.
  See Also:
    `IntervalSchedule`, `oracle.ias.scheduler.CronIntervalSchedule`

### setFixedDelay

    public void setFixedDelay(boolean fixedDelay)

  Designate the schedule as "fixed-delay". When a schedule is fixed-delay the time to the next timeout is calculated only after all processing has completed, including the execution time of the associated job if applicable. The default is "fixed-rate". When a schedule period is fixed-rate the time to the next timeout is calculated before any processing is performed.

### isFixedDelay

    public boolean isFixedDelay()

  Gets the designation of this schedule.

  Overrides:
    `isFixedDelay` in class `Schedule`
  Returns:
    true if the schedule incorporates "fixed-delay" logic when determining the next time a timeout is to be generated, else false if "fixed-rate" logic is incorporated.
  See Also:
    `IntervalSchedule`, `oracle.ias.scheduler.CronIntervalSchedule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.